Subject: Re: WG Review: INtermediary-safe SIP session ID (insipid)

From: Barry Leiba <[email-masked]>
Date: Tue, 6 Mar 2012 13:27:43 -0500

> A new IETF working group has been proposed in the Real-Time Applications
> and Infrastructure Area.
...
> INtermediary-safe SIP session ID (insipid)

I think the working group is a good idea, and I think the charter is
fine.  Charter away.

Just a very, very small point:
There's some value in being able to search for these things in Google
(or Bing, or whatever), and we've had (minor) problems in the past
when working groups have had very cutesy names that have amusement
value, but don't do well in web searches.  "lemonade" comes to mind,
and there are others.

Let me encourage you to choose something other than "insipid".

That said, let me encourage you not to waste very much time on this point.

Barry

> ------------------------------------------
> Status: Proposed Working Group
> Last Updated: 2012-03-01
>
> Chairs:
>  TBD
>
> Real-Time Applications and Infrastructure Area Directors:
>  Gonzalo Camarillo <[email-masked]>
>  Robert Sparks <[email-masked]>
>
> Real-Time Applications and Infrastructure Area Advisor:
>  Gonzalo Camarillo <[email-masked]>
>
> Mailing Lists:
>  General Discussion: TBD
>  To Subscribe:  TBD
>  Archive:       TBD
>
> An end-to-end session identifier in SIP-based multimedia
> communication networks refers to the ability for endpoints,
> intermediate devices, and management and monitoring system to
> identify and correlate SIP messages and dialogs of the same
> higher-level end-to-end "communication session" across multiple
> SIP devices, hops, and administrative domains.  Unfortunately,
> there are a number of factors that contribute to the fact that
> the current dialog identifiers defined in SIP are not suitable
> for end-to-end session identification. Perhaps the most important
> factor worth describing is that in real-world deployments of
> Back-to-Back User Agents (B2BUAs) devices like Session Border
> Controllers (SBC) often change the call identifiers (e.g., the
> From-tag and To-tag that are used in conjunction with the Call-ID
> header to make the dialog-id) as the session signaling passes
> through.
>
> An end-to-end session identifier should allow the possibility to
> identify the communication session from the point of origin,
> passing through any number of intermediaries, to the ultimate
> point of termination. It should have the same aim as the
> From-tag, To-tag and Call-ID conjunction, but should not be
> mangled by intermediaries.
>
> A SIP end-to-end session identifier has been considered as possible
> solution of different use cases like troubleshooting, billing, session
> tracking, session recording, media and signaling correlation, and so
> forth.  Some of these requirements come from other working groups
> within the RAI area (e.g., SIPRec). Moreover, other standards
> organizations have identified the need for SIP and H.323 to carry the
> same "session ID" value so that it is possible to identify a call
> end-to end even when performing inter working between protocols.
>
> This group will focus on a document that will specify an SIP
> identifier that have the same aim as the From-tag, To-tag and Call-ID
> conjunction, but is less likely to be mangled by intermediaries. In
> doing this work, the group will pay attention to the privacy
> implications of a "session ID", for example considering the
> possibility to make it intractable for nodes to correlate "session IDs"
> generated by the same user for different sessions.
>
> Goal and Milestone:
>
> Dec 2012 - Specification of the new identifier sent to the IESG (PS)
> _______________________________________________
> IETF-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf-announce